# Svelte wrapper for Leaflet

Check [Leaflet JavaScript API](https://leafletjs.com/reference-1.7.1.html) for detailed documentation.

## Quick Start

Install `npm i leaflet-svelte`

```html
<script>
  import Map from "leaflet-svelte";

  let options = {
    center: [13, 80],
    markers: [
      {
        lat: 13,
        lng: 80,
        popup: {
          isOpen: true,
          text: `Marker 1`,
        },
      },
    ],
    mapID: "map",
  };
</script>


<style>
  .map {
    height: 600px;
    width: 600px;
  }
</style>

<div class="map">
  <Map options={options} />
</div>

```

## Note

- Currently supports bubble texts and accepts html. You might need to play with it.
- Have `<Map {options}/>` a child of a `div` and supply custom css for height/width.


## Defaults

- There are several defaults check demo for a full blown example with all options


